using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter;

/// <summary>
/// 动作状态
/// </summary>
public enum EOperationStatus
{
    /// <summary>
    /// 签入
    /// </summary>
    [Description("签入")]
    SignIn = 100,

    /// <summary>
    /// 示忙
    /// </summary>
    [Description("示忙")]
    ShowBusy = 202,

    /// <summary>
    /// 小休
    /// </summary>
    [Description("小休")]
    ShortBreak = 201,

    /** 上面是话机动作类型一共只有的3个状态
     *  上下总共是兴唐可传入得状态
     **/

    /// <summary>
    /// 签出
    /// </summary>
    [Description("签出")]
    SignOut = 0,

    /// <summary>
    /// 空闲
    /// </summary>
    [Description("空闲")]
    FreeTime = 200,

    /// <summary>
    /// 呼入振铃
    /// </summary>
    [Description("呼入振铃")]
    InComingRinging = 300,

    /// <summary>
    /// 呼入通话
    /// </summary>
    [Description("呼入通话")]
    InComingCall = 301,

    /// <summary>
    /// 呼出振铃
    /// </summary>
    [Description("呼出振铃")]
    OutSideRinging = 302,

    /// <summary>
    /// 呼出通话
    /// </summary>
    [Description("呼出通话")]
    OutSideCall = 303,

    /// <summary>
    /// 通话保持
    /// </summary>
    [Description("通话保持")]
    CallHold = 310,

    /// <summary>
    /// 会议
    /// </summary>
    [Description("会议")]
    Meeting = 320,

    /// <summary>
    /// 咨询
    /// </summary>
    [Description("咨询")]
    Consult = 330,

    /// <summary>
    /// 整理
    /// </summary>
    [Description("整理")]
    Arrange = 400,

    /// <summary>
    /// 注册
    /// </summary>
    [Description("注册")]
    Register = 900,

    /// <summary>
    /// 注销
    /// </summary>
    [Description("注销")]
    LogOff = 901

}


/*
- '0': '签出'
- '100': '签入'
- '200': '空闲'
- '201': '小休'
- '202': '繁忙'
- '300': '呼入振铃'
- '301': '呼入通话'
- '302': '呼出振铃'
- '303': '呼出通话'
- '310': '通话保持'
- '320': '会议'
- '330': '咨询'
- '400': '整理'
- '900': '注册'
- '901': '注销'
 */